Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class BiopolimerDiagramFilter

    |
    +--biouml.model.AbstractFilter
      |
      +--biouml.standard.filter.BiopolimerDiagramFilter

public class BiopolimerDiagramFilter
extends AbstractFilter

Common purpose diagram filter allowing to filter Biopolimers by species, cell types and inducers.

pending whether CompositeHighlighActions can contain several HighlightActions with the same color or they should be joined into one?, whether we should change EquivalentNodeGroup title (specie list) like GeneNet if we hide some object from the group?

Inner Class Summary
`public static class` | BiopolimerDiagramFilter.CellTypeFilter
`public static class` | BiopolimerDiagramFilter.CellTypeFilterBeanInfo
`public static class` | BiopolimerDiagramFilter.InducerFilter
`public static class` | BiopolimerDiagramFilter.InducerFilterBeanInfo
`public static class` | BiopolimerDiagramFilter.SpeciesFilter
`public static class` | BiopolimerDiagramFilter.SpeciesFilterBeanInfo

Constructor Summary
`BiopolimerDiagramFilter(Diagram diagram)`

Method Summary
`CellTypeFilter` | `getCellTypeFilter()`
`String[]` | `getDiagramCellTypesList()`
`String[]` | `getDiagramInducersList()`
`String[]` | `getDiagramSpeciesList()`
`InducerFilter` | `getInducerFilter()`
`java.awt.Component` | `getOptionsControl()` returns visual control to set up the filter options.
`SpeciesFilter` | `getSpeciesFilter()`
`boolean` | `isEnabled()`
`void` | `setCellTypeFilter(CellTypeFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setInducerFilter(InducerFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.
`void` | `setSpeciesFilter(SpeciesFilter filter)` This methods used only to allow child properties to be modefied in PropertyInspector.

Methods inherited from class biouml.model.AbstractFilter
`apply, restoreView, setEnabled`

Constructor Detail

### BiopolimerDiagramFilter

    public BiopolimerDiagramFilter(Diagram diagram)

Method Detail

### getCellTypeFilter

    public CellTypeFilter getCellTypeFilter()

### getDiagramCellTypesList

    public String[] getDiagramCellTypesList()

### getDiagramInducersList

    public String[] getDiagramInducersList()

### getDiagramSpeciesList

    public String[] getDiagramSpeciesList()

### getInducerFilter

    public InducerFilter getInducerFilter()

### getOptionsControl

    public java.awt.Component getOptionsControl()

  returns visual control to set up the filter options.

### getSpeciesFilter

    public SpeciesFilter getSpeciesFilter()

### isEnabled

    public boolean isEnabled()

### setCellTypeFilter

    public void setCellTypeFilter(CellTypeFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### setInducerFilter

    public void setInducerFilter(InducerFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

### setSpeciesFilter

    public void setSpeciesFilter(SpeciesFilter filter)

  This methods used only to allow child properties to be modefied in PropertyInspector.

Association Links

to Class biouml.model.Diagram

  The {@link Diagram} to which the filter can be applied.

to Class java.util.ArrayList

to Class java.util.ArrayList

to Class java.util.ArrayList

to Class com.developmentontheedge.application.PanelManager

to Class biouml.standard.filter.BiopolimerDiagramFilter.SpeciesFilter

to Class biouml.standard.filter.BiopolimerDiagramFilter.CellTypeFilter

to Class biouml.standard.filter.BiopolimerDiagramFilter.InducerFilter

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM